Memory Stores
Update a memory item
Updates the specified memory item in the memory store.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Paramètres de chemin d’accès
name
string
obligatoire
The name of the memory store.
memory_id
string
obligatoire
The ID of the memory item to update.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Corps de la demande
content
string
obligatoire
The updated content of the memory.
Réponses
The request has succeeded.
Corps
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
obligatoire
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
obligatoire
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
obligatoire
The kind of the memory item.
Requête
POST /memory_stores/{name}/items/{memory_id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json